<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <!-- <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.4.1/css/all.css"
      integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz"
      crossorigin="anonymous"
    /> -->
    <script
      src="https://kit.fontawesome.com/2081eb0df0.js"
      crossorigin="anonymous"
    ></script>
    <link rel="stylesheet" href="./css/main.css" />
  </head>

  <body id="body">
    <section id="landingPage" class="landingPage">
      <div class="header">
        <h3>Street ARTists</h3>
      </div>
      <div class="logo">
        <img src="./css/images/Logo.png" />
      </div>
      <div class="main">
        <div class="holder">
          <div class="artist">
            <p>Join as Artist</p>
            <select name="artist" id="usersSelect">
              <option value="Choose" hidden>Choose</option>
            </select>
          </div>
          <div class="visitor" id="joinAsVisitor">
            <p>Join as Visitor</p>
          </div>
        </div>
      </div>
    </section>

    <section id="visitorHomePage" class="visitorHomePage">
      <div class="header">
        <a href="#landingPage"><img src="./css/images/Logo.png" /></a>
        <div class="main">
          <h3 id="artistHome">Street ARTists</h3>
          <a href="#auction"><i class="fa-solid fa-gavel"></i></a>
        </div>
      </div>
      <div class="banner">
        <div class="title">
          <h3>Looking for masterpiece?</h3>
        </div>
        <div class="button">
          <a href="#visitorListing">Find one now!</a>
        </div>
      </div>
      <div class="slider">
        <div class="slide-track">
          <div class="slide">
            <a href="#visitorListing">
              <img src="./css/images/sliderImg1.jpg" alt="" />
            </a>
          </div>
          <div class="slide">
            <a href="#visitorListing">
              <img src="./css/images/sliderImg2.jpg" alt="" />
            </a>
          </div>
          <div class="slide">
            <a href="#visitorListing">
              <img src="./css/images/sliderImg3.png" alt="" />
            </a>
          </div>
        </div>
        <div class="slide-track2">
          <div class="slide">
            <a href="#visitorListing">
              <img src="./css/images/sliderImg3.png" alt="" />
            </a>
          </div>
          <div class="slide">
            <a href="#visitorListing">
              <img src="./css/images/sliderImg1.jpg" alt="" />
            </a>
          </div>
          <div class="slide">
            <a href="#visitorListing">
              <img src="./css/images/sliderImg2.jpg" alt="" />
            </a>
          </div>
        </div>
      </div>
      <div class="carousel" data-carousel>
        <button class="carouselButton prev" data-carousel-button="prev">
          <i class="fa-solid fa-chevron-left"></i>
        </button>
        <button class="carouselButton next" data-carousel-button="next">
          <i class="fa-solid fa-chevron-right"></i>
        </button>
        <ul data-slides>
          <li class="slide" data-active>
            <div class="carouselItem">
              <div class="inner inner1">
                <div class="nz">
                  <img src="./css/images/image1.jpg" alt="" />
                  <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit.
                    Eveniet enim cupiditate officia.
                  </p>
                </div>
              </div>
              <div class="inner inner2">
                <div class="nzz">
                  <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit.
                    Necessitatibus adipisci molestias vel sed quo saepe, non
                    provident adipisci molestias vel.
                  </p>
                </div>
              </div>
            </div>
          </li>
          <li class="slide">
            <div class="carouselItem">
              <div class="inner inner1">
                <div class="nz">
                  <img src="./css/images/image2.jpg" alt="" />
                  <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit.
                    Tempore iste repellendus magnam.
                  </p>
                </div>
              </div>
              <div class="inner inner2">
                <div class="nzz">
                  <p>
                    Accusamus nesciunt pariatur iste asperiores quae odio?
                    Molestiae fugit sunt reiciendis inventore ipsa minus eaque
                    corrupti tempora, dignissimos enim odit accusamus.
                  </p>
                </div>
              </div>
            </div>
          </li>
          <li class="slide">
            <div class="carouselItem">
              <div class="inner inner1">
                <div class="nz">
                  <img src="./css/images/image3.jpg" alt="" />
                  <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit.
                    Facilis provident ullam porro amet delectus voluptatum.
                  </p>
                </div>
              </div>
              <div class="inner inner2">
                <div class="nzz">
                  <p>
                    Reprehenderit iure maxime dolore atque veritatis odio.
                    Nobis, ullam corrupti earum hic dolores quo sit quidem, quia
                    ex consequuntur delectus molestias culpa impedit.
                  </p>
                </div>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </section>
    <section id="visitorListing" class="visitorListing">
      <div class="header">
        <a href="#landingPage"><img src="./css/images/Logo.png" /></a>
        <div class="main">
          <h3 id="artistHome">Street ARTists</h3>
          <a href="#auction"><i class="fa-solid fa-gavel"></i></a>
        </div>
      </div>
      <div class="itemListing"></div>
      <div class="icon" id="filtersIcon">
        <!-- <i class="fa-solid fa-sliders-up"></i> -->
        <!-- <img src="./css/images/icon.png" alt="" /> -->
        <i class="fa-solid fa-sliders"></i>
      </div>
      <div class="filters">
        <i class="fa-solid fa-x" id="closeIcon"></i>
        <h4>Filter by</h4>
        <div class="filter-div by-title">
          <p>By Item Title</p>
          <input type="text" name="title" id="filterTitle" />
        </div>
        <div class="filter-div by-artist">
          <p>By Artist</p>
          <select name="artist" id="artistFilter">
            <option hidden>Choose</option>
          </select>
        </div>
        <div class="filter-div by-price">
          <p>By price</p>
          <label for="minPrice">Min:</label>
          <input type="number" id="minPrice" />
          <label for="maxPrice">Max:</label>
          <input type="number" id="maxPrice" />
        </div>
        <div class="filter-div by-type">
          <p>By Type</p>
          <select name="type" id="typeFilter">
            <option hidden>Choose</option>
            <option value="painting">painting</option>
            <option value="sculpture">sculpture</option>
            <option value="digital">digital</option>
            <option value="custom">custom</option>
          </select>
        </div>
        <button class="submit" id="submitFilterBtn">
          <i class="fa-solid fa-check"></i>
        </button>
      </div>
    </section>
    <section id="visitorFilters" class="visitorFilters">visitorFilters</section>
    <section id="artistHomePage" class="artistHomePage">
      <div class="header">
        <a href="#landingPage"><img src="./css/images/Logo.png" /></a>
        <div class="main">
          <h3 class="artistName"></h3>
          <div class="topnav">
            <div class="myLinks">
              <a href="#artistHomePage">Home</a>
              <a href="#artistItemPage">Items</a>
              <a href="#auction">Auction</a>
            </div>
            <a href="javascript:void(0);" class="icon" onclick="menuFunction()">
              <i class="fa-solid fa-bars"></i>
            </a>
          </div>
        </div>
      </div>
      <div class="widgets">
        <div class="totalItemsSold">
          <h3>total items sold</h3>
          <p class="statistics">
            <span id="soldItems">12</span>/<span id="totalItems">35</span>
          </p>
        </div>
        <div class="totalIncome">
          <h3>total income</h3>
          <p class="statistics"><span id="totalIncome">$1700</span></p>
        </div>
        <div class="liveAuctioningItem">
          <h3>live auctioning item</h3>
          <p class="statistics">$1200</p>
          <p>current bid</p>
        </div>
      </div>
      <div class="income">
        <p>Display my income for last</p>
        <div class="buttons">
          <button id="last7">7 days</button>
          <button id="last14">14 days</button>
          <button id="last30">30 days</button>
        </div>
        <div class="canvas">
          <canvas id="myCanvas"></canvas>
        </div>
        <!-- <canvas id="myChart" style="width:100%;max-width:700px"></canvas> -->
      </div>
    </section>
    <section id="artistItemPage" class="artistItemPage">
      <div class="header">
        <a href="#landingPage"><img src="./css/images/Logo.png" /></a>
        <div class="main">
          <h3 class="artistName"></h3>
          <div class="topnav">
            <div class="myLinks">
              <a href="#artistItemPage">Home</a>
              <a href="#">Items</a>
              <a href="#auction">Auction</a>
            </div>
            <a href="javascript:void(0);" class="icon" onclick="menuFunction()">
              <i class="fa-solid fa-bars"></i>
            </a>
          </div>
        </div>
      </div>
      <div class="main">
        <div class="addNewItemBanner">
          <div class="inner" id="addNewItem">
            <p>&plus; Add new item</p>
          </div>
        </div>
        <div class="currentArtistItems"></div>
      </div>
    </section>
    <section id="artistAddNewItemPage" class="artistAddNewItemPage">
      <div class="header">
        <a href="#landingPage"><img src="./css/images/Logo.png" /></a>
        <div class="main">
          <h3 class="artistName"></h3>
          <div class="topnav">
            <div class="myLinks">
              <a href="#artistItemPage">Home</a>
              <a href="#">Items</a>
              <a href="#auction">Auction</a>
            </div>
            <a href="javascript:void(0);" class="icon" onclick="menuFunction()">
              <i class="fa-solid fa-bars"></i>
            </a>
          </div>
        </div>
      </div>
      <div class="addNewItemForm" id="addNewItemForm">
        <h3 style="display: inline">Add new Item</h3>
        <span style="float: right">
          <label for="isPublished">Is published</label>
          <input type="checkbox" id="isPublished" />
        </span>
        <form id="addNewItemForm">
          <label for="title">Title</label>
          <input type="text" id="title" class="w-100" />
          <label for="description">Description</label>
          <textarea id="description" rows="6" style="width: 100%"></textarea>
          <div>
            <div class="nz">
              <label for="type">Type</label>
              <input type="text" id="type" />
            </div>
            <div class="nz">
              <label for="price">Price</label>
              <input type="number" id="price" />
            </div>
          </div>
          <label for="imageURL">Image URL</label>
          <input type="text" id="imageURL" class="w-100" />
          <p>or</p>
          <div id="snapshot">
            <div class="inner">
              <p class="icon"><i class="fa-solid fa-camera"></i></p>
              <p>Take a snapshot</p>
            </div>
          </div>
          <div class="buttons">
            <button type="submit" class="red" id="addNewItemBtn">Add New Item</button>
            <button class="white" id="cancelBtn">Cancel</button>
          </div>
        </form>
      </div>
    </section>

    <section id="captureImagePopup">
      <div class="header">
        <a href="#landingPage"><img src="./css/images/Logo.png" /></a>
        <div class="main">
          <h3 class="artistName"></h3>
          <div class="topnav">
            <div class="myLinks">
              <a href="#artistItemPage">Home</a>
              <a href="#">Items</a>
              <a href="#auction">Auction</a>
            </div>
            <a href="javascript:void(0);" class="icon" onclick="menuFunction()">
              <i class="fa-solid fa-bars"></i>
            </a>
          </div>
        </div>
      </div>
      <div class="banner">
        <div id="camera">
          <video id="video" autoplay></video>
        </div>
        <canvas id="canvas"></canvas>
        <div id="output">
          <img src="" id="image" />
        </div>
        <div class="capture">
          <i class="fa-solid fa-camera" id="captureImage"></i>
        </div>
      </div>
    </section>
    <section id="auction" class="auction">auction</section>

    <script src="./js/Data/data.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.1/chart.min.js"></script>

    <script src="./js/pages/landingPage.js"></script>
    <script src="./js/pages/artistHomePage.js"></script>
    <script src="./js/pages/artistItemPage.js"></script>
    <script src="./js/pages/visitorHomePage.js"></script>
    <script src="./js/pages/visitorListing.js"></script>
    <script src="./js/pages/artistAddNewItemPage.js"></script>
    <script src="./js/pages/captureImagePopup.js"></script>
    <script src="./js/helpers.js"></script>

    <script defer src="./js/index.js"></script>
  </body>
</html>
